import React from "react";
export declare const enum IndeterminateStatus {
    Indeterminate = "Indeterminate",
    Unchecked = "Unchecked",
    Checked = "Checked"
}
export interface IndeterminateChangeEvent extends React.ChangeEvent<HTMLInputElement> {
    status: IndeterminateStatus;
}
declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
interface Props extends Omit<React.HTMLProps<HTMLInputElement>, "onChange" | "type" | "checked" | "ref"> {
    status?: IndeterminateStatus;
    onChange?: (event: IndeterminateChangeEvent) => void;
}
export declare const IndeterminateCheckbox: React.SFC<Props>;
export {};
